### Property

# EDataServer SoupSession:force-http1

since: 3.48

#### Declaration

    property force-http1: gboolean [ read, write ]

#### Description [src]

Whether the messages created by the session should force use of HTTP/1 instead of trying HTTP/2 first and fallback to the HTTP/1 when the newer version failed to connect.

See `e_soup_session_set_force_http1()` for more information about the limitations.

Type:`gboolean`

Available since: 3.48

Default value | FALSE
Getter method | `e_soup_session_get_force_http1()`
Setter method | `e_soup_session_set_force_http1()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no